Package com.io7m.waxmill.machines

# Class WXMVMNetDeviceName.Builder

java.lang.Object
com.io7m.waxmill.machines.WXMVMNetDeviceName.Builder

Enclosing class:
  WXMVMNetDeviceName

    public static final class WXMVMNetDeviceName.Builder
    extends java.lang.Object

Builds instances of type `WXMVMNetDeviceName`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMVMNetDeviceName` | `build()` | Builds a new `WXMVMNetDeviceName`.
  `WXMVMNetDeviceName.Builder` | `from​(WXMVMNetDeviceNameType instance)` | Fill a builder with attribute values from the provided `WXMVMNetDeviceNameType` instance.
  `WXMVMNetDeviceName.Builder` | `setValue​(java.lang.String value)` | Initializes the value for the `value` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMVMNetDeviceName.Builder from​(WXMVMNetDeviceNameType instance)
    Fill a builder with attribute values from the provided `WXMVMNetDeviceNameType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setValue

    public final WXMVMNetDeviceName.Builder setValue​(java.lang.String value)
    Initializes the value for the `value` attribute.
    Parameters:
      `value` - The value for value
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMVMNetDeviceName build()
    Builds a new `WXMVMNetDeviceName`.
    Returns:
      An immutable instance of WXMVMNetDeviceName
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing